.Net core-Swashbuckle配置

注意如果是从Nuget包里面下载版本是低版本,于是我们这里要用控制台下载

4.0版本配置core3.1 会出现错误 所以我们要用5.0的版本

[toc] 1、点击 >工具 > NuGet 包管理器 > 程序包管理器控制台

2、控制台输入

Install-Package Swashbuckle.AspNetCore -Version 5.5.0

3、Startup.cs中注册 Swashbuckle

   services.AddSwaggerGen(m =>
            {
                m.SwaggerDoc("v1", new OpenApiInfo
                {
                    Title = "swaggerTest",
                    Version = "v1"
                });
            });

app

    app.UseSwagger();

            app.UseSwaggerUI(
                m =>
                {
                    m.SwaggerEndpoint("/swagger/v1/swagger.json", "swaggerTest");
                }
                );

4、更改路由 >launchSettings.json

5、将默认路由 >weatherforecast 更改为 > swagger/index.html

6、最后就可以访问了

暂无评论

发送评论 编辑评论

正在回复 的评论 :

				
上一篇
下一篇